%bcond_with base_python

%define python_build_version 3.9
%define __python %{_bindir}/python%{python_build_version}

%if %{with base_python}
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1))}}
%else
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1) .. str:sub(3,-1))}}
%endif

%define pypi_name psycopg2

Name: python%{python_suffix}-%{pypi_name}
Version: 2.8.5
Release: 1
License: LGPL-3.0-or-later
Summary: PostgreSQL database adapter for the Python programming language
Url: https://pypi.org/project/psycopg2/

Source0: https://files.pythonhosted.org/packages/a8/8f/1c5690eebf148d1d1554fc00ccf9101e134636553dbb75bdfef4f85d7647/psycopg2-2.8.5.tar.gz

BuildRequires: python%{python_suffix}-devel
BuildRequires: python%{python_suffix}-pip
BuildRequires: postgresql12-devel

%description
Psycopg is the most popular PostgreSQL database adapter for the Python
programming language. Its main features are the complete implementation of the
Python DB API 2.0 specification and the thread safety (several threads can share
the same connection). It was designed for heavily multi-threaded applications
hat create and destroy lots of cursors and make a large number of concurrent
“INSERT”s or “UPDATE”s.

%prep
%setup -q -n %{pypi_name}-%{version}

%build

%py_build_wheel

%install
%py_install_wheel %{pypi_name}-%{version}-cp%{python_version_nodots}-cp%{python_version_nodots}-os400_powerpc64.whl

sed -i 's|pip|rpm|g' %{buildroot}%{python_sitelib}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)
%license LICENSE
%{python_sitelib}/psycopg2*

%changelog
* Tue Jun 22 2021 Kevin Adler <kadler@us.ibm.com> - 2.8.5
- Port to Python 3.9
- Use macros from python-rpm-macros

* Thu Feb 20 2020 - Abdirahim Musse <abdirahim.musse@ibm.com>
- Initial spec
